Last updated: 28 August 2026 | Change log
Create a network token via card schemes to replace your customer's sensitive card information. Use network tokens to improve payment authorization rates, gain built-in account updater and minimize fraud.
Supported schemes: Visa, Mastercard, American Express and Discover
To create a network token:
POST your request to the tokens:networkToken request link.
POST https://try.access.worldpay-bsh.securedataplatform.com/tokens/network
Network token creation request body: --
Create a network token from a card.
- Test (Try)https://try.access.worldpay-bsh.securedataplatform.com/tokens/network
- Livehttps://access.worldpay-bsh.securedataplatform.com/tokens/network
- Payload
- curl
- Python
- Java
- Node.js
- Go
- PHP
- Ruby
- C#
{ "paymentInstrument": { "cardHolderName": "Sherlock Holmes", "type": "card/front", "cardExpiryDate": { "month": 1, "year": 2035 }, "cardNumber": "4444333322221111" }, "merchant": { "entity": "default" } }
The majority of network token requests will include the network token in the response.
- an HTTP code
200 tokenReferencetokenPaymentInstrumentobject which contains networktokenNumber- links to query a network token and provision a network token cryptogram
Where the request is not successful due to provisioning errors, we return an HTTP code 200 and further details. For more information about provisioning errors, please see Network token error responses.
Once you've sent your create network token request, one of the following example responses is returned:
- The network token is ready
- The network token is ready, created from an Access token
- The request was not successful due to provisioning errors
{ "tokenReference": "aa224320-425c-40b6-9781-2cb7df76b0c8", "tokenPaymentInstrument": { "status": "Active", "type": "card/networkToken", "tokenNumber": "4917610000000000", "expiryDate": { "month": 3, "year": 2030 } }, "paymentInstrument": { "type": "card/masked", "firstSix": "444433", "lastFour": "1111", "cardExpiryDate": { "month": 1, "year": 2030 }, "paymentAccountReference": "Q1HJZ28RKA1EBL470G9XYG90R5D3E" }, "_links": { "self": { "href": "https://try.access.worldpay-bsh.securedataplatform.com/tokens/network" }, "tokens:networkTokenLookup": { "href": "https://try.access.worldpay-bsh.securedataplatform.com/tokens/network/aa224320-425c-40b6-9781-2cb7df76b0c8" }, "curies": [ { "href": "https://try.access.worldpay-bsh.securedataplatform.com/rels/tokens/{rel}.json", "name": "tokens", "templated": true } ] } }
Next steps
Query a network token or
Provision a network token cryptogram or
Delete a network token